# Dict Library Package

Библиотека Python со встроенным словарем данных для быстрого доступа к информации.

## Возможности

- Получение значений из встроенного словаря библиотеки по двум ключам
- Встроенные категории: пользователи, настройки, города, предметы, животные
- Получение списка всех категорий
- Получение списка элементов в конкретной категории
- Безопасный доступ с проверкой типов и понятными ошибками

## Установка

```bash
pip install simple-math-calijaaa
```

## Использование

```python
from simple_math_calijaaa.dict_accessor import get_value, get_categories, get_items_in_category

# Получение математического кода из встроенного словаря
code_3_1 = get_value("3", "1")
print("Код для задачи 3.1:")
print(code_3_1[:200] + "...")  # Показываем первые 200 символов

code_4_1 = get_value("4", "1")
print("Код для задачи 4.1:")
print(code_4_1[:200] + "...")

# Получение списка всех категорий
all_categories = get_categories()
print(f"Доступные категории: {all_categories}")

# Получение элементов в категории
items_3 = get_items_in_category("3")
print(f"Элементы в категории 3: {items_3}")

items_4 = get_items_in_category("4")
print(f"Элементы в категории 4: {items_4}")
```

## Встроенные данные

Библиотека содержит математический контент, организованный в категории:

- **Категории**: 3, 4, 30, 14, 18, 29, 5, 7, 15
- **Элементы в каждой категории**: обычно 1, 2, 3
- **Содержимое**: Python код для решения математических задач

Каждый элемент содержит готовые алгоритмы и примеры реализации численных методов.

## Лицензия

MIT License 